﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Windows.ApplicationModel.Activation;
using Windows.Foundation;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Data;
using Windows.ApplicationModel.DataTransfer;
using VSMWinRTDemo.RSS;

namespace VSMWinRTDemo.UI
{
    public sealed partial class SharingFeed
    {
        public SharingFeed()
        {
            InitializeComponent();
        }

        public void Activate(ShareTargetActivatedEventArgs args)
        {
            ViewModel.SharedFeed sharedFeed = new ViewModel.SharedFeed(args.ShareOperation.Data);
            this.DataContext = sharedFeed;

            Window.Current.Content = this;
            Window.Current.Activate();
        }
    }
}
